## gri 2.4.2

=== doc/Makefile ===
# Makefile for Gri documentation files.

            GRI_DIR = /opt/gri
           DEST_BIN = /doc/info
                 RM = rm -f
            REFCARD = refcard
        CMD_REFCARD = cmdrefcard
     HTML_LONG_NAME = gri-long
           INFO_DIR = $(PREFIX)/usr/info

FORCE:

all:
	make info
	make html

install:
	make info-install
	make html-install

read:
	chmod a+r Makefile
	chmod a+rx texinfo2HTML
	chmod a+rx HTML_subdivide
	chmod a+r gri*

FAQ: FORCE
	rm -f FAQ
	lynx -dump FAQ.html > FAQ

the_resources:
	cd resources ; make

test:
	cat test.texi | texinfo2HTML > test.html

html:
	cat gri.texi     		>  TMP
	perl make_html_index		>> TMP
	cat TMP | perl texinfo2HTML	>  $(HTML_LONG_NAME)
	rm -f TMP
	make read
	rm -f gri[1-9]*.html
	perl HTML_subdivide  $(HTML_LONG_NAME) "The Gri graphing language"
	rm -f $(HTML_LONG_NAME)
	rm -f *.pass2
	if test ! -f index.html ; then ln -s gri1.html index.html ; fi
	perl archive-to-html.pl > Newsgroup.html

html-install:
	# GRI_DIR = /opt/gri
	if test ! -d $(GRI_DIR)                    ; then mkdir -m 755 -p $(GRI_DIR)                    ; fi
	if test ! -d $(GRI_DIR)/doc                ; then mkdir -m 755 -p $(GRI_DIR)/doc                ; fi
	if test ! -d $(GRI_DIR)/doc/html           ; then mkdir -m 755 -p $(GRI_DIR)/doc/html           ; fi
	if test ! -d $(GRI_DIR)/doc/html/examples  ; then mkdir -m 755 -p $(GRI_DIR)/doc/html/examples  ; fi
	if test ! -d $(GRI_DIR)/doc/html/resources ; then mkdir -m 755 -p $(GRI_DIR)/doc/html/resources ; fi
	-cp ./resources/*.gif    $(GRI_DIR)/doc/html/resources
	-chmod a+r               $(GRI_DIR)/doc/html/resources/*
	-cp ./examples/*         $(GRI_DIR)/doc/html/examples
	-chmod a+r               $(GRI_DIR)/doc/html/examples/*
	-cp ./*.html             $(GRI_DIR)/doc/html
	-cp ./resources/logo.ps  $(GRI_DIR)/doc/html/resources
	-cp ./resources/logo.gif $(GRI_DIR)/doc/html/resources
	-cp ./resources/logo.gri $(GRI_DIR)/doc/html/resources
	-chmod a+r               $(GRI_DIR)/*
	-make html-clean

html-clean:
	-cp FAQ.html save
	-rm -f *.html
	-mv save FAQ.html

#
#
info: gri.texi
	rm -f a
	sed -e "s/setfilename gri.info/setfilename gri/" < gri.texi > a
	makeinfo a
	\rm -f a

info-install:
	gzip gri gri-*[0-9]
	cp ./gri.gz ./gri-*[0-9].gz $(INFO_DIR)
	chmod a+r   $(INFO_DIR)/gri*
	make info-clean

info-clean:
	rm -f ./gri
	rm -f ./gri-1 ./gri-2 ./gri-3 ./gri-4 ./gri-5 ./gri-6 
	rm -f ./gri-7 ./gri-8 ./gri-9 ./gri-10 ./gri-11 ./gri-12
	rm -f ./gri-13
	rm -f ./gri.gz
	rm -f ./gri-1.gz ./gri-2.gz ./gri-3.gz ./gri-4.gz ./gri-5.gz ./gri-6.gz
	rm -f ./gri-7.gz ./gri-8.gz ./gri-9.gz ./gri-10.gz ./gri-11.gz
	rm -f  ./gri-12.gz ./gri-13.gz

#
# FIXME: These refcards are missing!
#
refcard:
	make refcard1
	make refcard2
refcard1:
	tex refcard.tex
	dvips -o refcard.ps -t landscape refcard.dvi
	chmod a+r refcard.*
	ghostview -land refcard.ps
refcard2:
	echo "***"
	echo "*** First, do cmdrefcard.pl and manually put output in cmdrefcard.tex"
	echo "***"
	tex cmdrefcard.tex
	dvips -o cmdrefcard.ps -t landscape cmdrefcard.dvi
	chmod a+r cmdrefcard.*
	ghostview -land cmdrefcard.ps
#
#
postscript:
	cd examples ; make eps
	tex gri.texi
	texindex gri.cp
	texindex gri.fn
	texindex gri.ky
	texindex gri.pg
	texindex gri.tp
	texindex gri.vr
	tex gri.texi
	dvips -o gri.ps gri.dvi
	cd examples ; make clean

#
#
clean:
	$(RM)				\
		gri*.html               \
		gri gri.1 gri-[0-9]*	\
		gri.hlp			\
		*~			\
		*.log *.dvi *.aux	\
		gri.toc			\
		gri.cp gri.cps		\
		gri.fn gri.fns		\
		gri.ky gri.kys		\
		gri.pg gri.pgs		\
		gri.tp gri.tps		\
		gri.vr gri.vrs 

help:
	@echo "Options:"
	@grep '^[^ ]*:' Makefile | sed -e "s/^/  make /" -e "s/://"

linux_redhat:
	make info
	make html

linux_redhat_clean:
	rm -f gri    gri-*[1-9]
	rm -f gri.gz gri-*[1-9].gz
	cp FAQ.html save
	rm -f *.html gri.dvi gri.ps index.html
	mv save FAQ.html

gri.ps: gri.texi gri.dvi
###LATER#### example Makefile is missing, and probably requires Gri installed.
###LATER#### Should include .ps files instead of making them
###LATER#### example13 also needs GRI_EOS_DIR 
###LATER####	cd ./examples; make clean; make examples
	cd examples ; make eps
	tex gri.texi
	texindex gri.cp
	texindex gri.fn
	texindex gri.ky
	texindex gri.pg
	texindex gri.tp
	texindex gri.vr
	tex gri.texi
	dvips -o gri.ps gri.dvi

gri.gz: gri.texi
	make info

gri1.html: gri.texi
	make html
	rm -f index.html

# Debian stuff follows
# $(PREFIX) is either tmp/usr/doc or tmp/usr/share/doc or tmp-*/usr/...
refcard.ps:	refcard.tex
	tex refcard.tex
	dvips -o refcard.ps -t landscape refcard.dvi
	chmod a+r refcard.*

cmdrefcard.ps:
	tex cmdrefcard.tex
	dvips -o cmdrefcard.ps -t landscape cmdrefcard.dvi
	chmod a+r cmdrefcard.*

gri-1: gri.texi
	make info

debian:
	make refcard.ps
	cp refcard.ps $(PREFIX)/gri
	make cmdrefcard.ps
	cp cmdrefcard.ps $(PREFIX)/gri
	make gri-1
	install -m644 ./gri ./gri-[0-9] ./gri-1[0-9] $(INFO_DIR)

debian-html:
	make gri1.html
	install -d $(PREFIX)/gri-html-doc/html
	cp -a ./*.html $(PREFIX)/gri-html-doc/html
	rm -f $(PREFIX)/gri-html-doc/html/index.html
	(cd $(PREFIX)/gri-html-doc/html; ln -sf gri1.html index.html)
	install -d $(PREFIX)/gri-html-doc/html/resources
	-cp ./resources/*.gif $(PREFIX)/gri-html-doc/html/resources
	-cp ./resources/logo.gri $(PREFIX)/gri-html-doc/html/resources
	-cp ./resources/logo.ps $(PREFIX)/gri-html-doc/html/resources
	install -d $(PREFIX)/gri-html-doc/examples
	cp ./examples/* $(PREFIX)/gri-html-doc/examples
	chmod +x $(PREFIX)/gri-html-doc/examples/FEM.pl
	(cd $(PREFIX)/gri-html-doc/html; ln -sf ../examples)

debian-ps:
	make refcard.ps
	cp refcard.ps $(PREFIX)/gri-ps-doc
	make cmdrefcard.ps
	cp cmdrefcard.ps $(PREFIX)/gri-ps-doc
	cd examples ; make eps
	make gri.ps
	cp gri.ps $(PREFIX)/gri-ps-doc

debian-clean:
	make clean
	make info-clean
	-mv FAQ.html save
	-rm -f *.html gri.dvi gri.ps index.html *.log cmdrefcard.ps refcard.ps .log
	-mv save FAQ.html
	(cd examples; make clean)

## gri 2.8.7

=== doc/Makefile ===
# Makefile for Gri documentation files.

            DOC_DIR = $(prefix)/share/gri/doc
           HTML_DIR = $(DOC_DIR)/html
       EXAMPLES_DIR = $(DOC_DIR)/examples
                 RM = rm -f
            REFCARD = refcard
        CMD_REFCARD = cmdrefcard
     HTML_LONG_NAME = gri-long
           INFO_DIR = $(prefix)/info
            INSTALL = install

FORCE:

all:
	make info
	make html

install:
	make info-install
	make html-install

read:
	chmod a+r Makefile
	chmod a+rx texinfo2HTML
	chmod a+rx HTML_subdivide
	chmod a+r gri*

FAQ: FORCE
	rm -f FAQ
	lynx -dump FAQ.html > FAQ

the_resources:
	cd resources ; make

test:
	cat test.texi | texinfo2HTML > test.html

html: gri.texi gri.info texinfo2HTML HTML_subdivide
	cd examples ; make png
	-cp examples/*.png ./
	cd examples ; make html
	cp examples/*.html ./
	cd tst_suite ; make html
	cd screenshots; make png
	cat gri.texi     		>  TMP
	perl make_html_index		>> TMP
	perl make_html_commandindex	>> TMP
	perl make_html_builtinindex	>> TMP
	cat TMP | perl texinfo2HTML	>  $(HTML_LONG_NAME)
	rm -f TMP
	make read
	rm -f gri[1-9]*.html
	perl HTML_subdivide  $(HTML_LONG_NAME) "The Gri graphing language"
	rm -f $(HTML_LONG_NAME)
	rm -f *.pass2
	if test ! -f index.html ; then ln -s gri1.html index.html ; fi
#	perl archive-to-html.pl > Newsgroup.html
	touch html

card-install-redhat: FORCE
	$(INSTALL) -m 644 refcard.ps    $(CARD_DIR)
	$(INSTALL) -m 644 cmdrefcard.ps $(CARD_DIR)

html-tar: html
	make html-install DOC_DIR=./gridoc
	tar -c -f gridoc.tar ./gridoc
	gzip -f --best gridoc.tar

html-install:	html
	$(INSTALL) -d          $(HTML_DIR)
	chmod a+rx             $(HTML_DIR)
	$(INSTALL) -d          $(HTML_DIR)/resources
	chmod a+rx             $(HTML_DIR)/resources
	cp resources/*.gif     $(HTML_DIR)/resources
	chmod 644              $(HTML_DIR)/resources/*.gif
	$(INSTALL) -d          $(HTML_DIR)/tst_suite
	chmod a+rx             $(HTML_DIR)/tst_suite
	cp tst_suite/*html     $(HTML_DIR)/tst_suite
	-cp examples/*.png     $(HTML_DIR)/
	-chmod 644             $(HTML_DIR)/*.png
	$(INSTALL) -d          $(HTML_DIR)/screenshots
	chmod a+rx             $(HTML_DIR)/screenshots
	cp screenshots/*.png   $(HTML_DIR)/screenshots
	chmod a+rx             $(HTML_DIR)/screenshots
	chmod 644              $(HTML_DIR)/screenshots/*.png
	cp *.html              $(HTML_DIR)
	chmod 644              $(HTML_DIR)/*.html
#       Now install the examples
	$(INSTALL) -d          $(EXAMPLES_DIR)
	chmod a+rx             $(EXAMPLES_DIR)
	cp examples/model*     $(EXAMPLES_DIR)
	chmod 644              $(EXAMPLES_DIR)/model*
	cp examples/*.dat      $(EXAMPLES_DIR)
	chmod 644              $(EXAMPLES_DIR)/*.dat
	cp examples/*.gri      $(EXAMPLES_DIR)
	chmod 644              $(EXAMPLES_DIR)/*.gri
	cp examples/*.ps       $(EXAMPLES_DIR)
	chmod 644              $(EXAMPLES_DIR)/*.ps
	cp examples/FEM.pl     $(EXAMPLES_DIR)
	chmod 755              $(EXAMPLES_DIR)/FEM.pl
	(cd $(HTML_DIR); rm -rf examples ; ln -sf ../examples)

card-clean:
	-rm -f refcard.dvi refcard.log refcard.ps
	-rm -f cmdrefcard.dvi cmdrefcard.log cmdrefcard.ps
	-rm -f card

html-clean:
	rm -rf HIDE_FILE
	mkdir HIDE_FILE
	mv FAQ.html HIDE_FILE
	-rm -f *.html *.png html
	mv HIDE_FILE/FAQ.html .
	rm -rf HIDE_FILE

gri.texi: gri.texim
	perl texim2texi <gri.texim >gri.texi

info:	gri.texi
	makeinfo gri.texi
	touch info

gri.info: gri.texi
	makeinfo gri.texi

info-install:
	$(INSTALL) -d $(INFO_DIR)
	cp gri.info* $(INFO_DIR)
	(cd $(INFO_DIR) ; gzip -f --best gri.info gri.info-[0-9] gri.info-[0-9][0-9])
	chmod 644 $(INFO_DIR)/gri.info*

info-install-solaris:
	$(INSTALL) -d $(INFO_DIR_SOLARIS)
	cp gri.info* $(INFO_DIR_SOLARIS)
	chmod 644 $(INFO_DIR_SOLARIS)/gri.info*

info-clean:
	rm -f gri.info* info

refcard.ps:	refcard.tex
	tex refcard.tex
	dvips -o refcard.ps -t landscape -t letter refcard.dvi

cmdrefcard.ps:
	tex cmdrefcard.tex
	dvips -o cmdrefcard.ps -t landscape -t letter cmdrefcard.dvi

clean:	info-clean html-clean card-clean
	$(RM)				\
		gri.pdf gri.dvi gri.ps	\
		gri.hlp			\
		*~			\
		*.log *.dvi *.aux	\
		gri.toc			\
		gri.cp gri.cps		\
		gri.fn gri.fns		\
		gri.ky gri.kys		\
		gri.pg gri.pgs		\
		gri.tp gri.tps		\
		gri.vr gri.vrs 		\
		FAQ cmdrefcard.ps refcard.ps
	$(RM) gri.texi
	(cd examples    ; make clean)
	(cd screenshots ; make clean)
#	(cd resources   ; make clean)
	(cd tst_suite   ; make clean)
	-rm -rf gridoc
	-rm -f gridoc.tar.gz

help:
	@echo "Options:"
	@grep '^[^ ]*:' Makefile | sed -e "s/^/  make /" -e "s/:.*//"

linux_redhat:
	make info
	make html
	make refcard.ps
	make cmdrefcard.ps

gri.ps: gri.texi
	cd examples    ; make eps
	cd screenshots ; make eps
	cd tst_suite   ; make texi
	tex gri.texi
	texindex gri.cp
	texindex gri.fn
	texindex gri.ky
	texindex gri.pg
	texindex gri.tp
	texindex gri.vr
	tex gri.texi
	dvips -o gri.ps -t letter gri.dvi

gri.pdf: gri.texi
	cd examples    ; make pdf
	cd screenshots ; make pdf
	cd tst_suite   ; make texi
	pdftex gri.texi
	texindex gri.cp
	texindex gri.fn
	texindex gri.ky
	texindex gri.pg
	texindex gri.tp
	texindex gri.vr
	pdftex gri.texi

### Debian stuff follows

# make debian   (does not install; only makes the files)
debian: refcard.ps cmdrefcard.ps info

# make debian-html DOC_DIR=../debian/gri-html-doc/usr/share/doc/gri
# builds and installs under $(DOC_DIR)
debian-html:
	make html-install

# make debian-ps DOC_DIR=../debian/gri-ps-doc/usr/share/doc/gri
# builds and installs under $(DOC_DIR)
debian-ps: gri.ps
	$(INSTALL) -d $(DOC_DIR)
	$(INSTALL) -m 644 gri.ps $(DOC_DIR)

=== doc/examples/Makefile ===
GRITEST = ../../gri -directory ../.. -y
GRI = gri -y -p

%.ps : %.gri
	$(GRI) $<

%.eps : %.ps
	cp $< $@

%.png : %.ps
	-convert $< $@

%.pdf : %.ps
	ps2pdf $< $@

%.html : %.gri
	perl ../gri2html `basename $< .gri`

%-tiny.png : %.png
	-convert -geometry 90x999 $< $@

example10color.eps : example10color.ps
	-convert example10color.ps example10color.eps

all:
	make eps
	make html
	make png

html:	FEM.html example1.html example2.html example3.html example4.html \
	example5.html example6.html example6color.html example6histogram.html \
	example7.html example8.html example9.html example10.html \
	example10color.html example11.html example12.html example13.html \
	logo.html

eps:	FEM.eps example1.eps example2.eps example3.eps example4.eps \
	example5.eps example6.eps example6color.eps example6histogram.eps \
	example7.eps example8.eps example9.eps example10.eps \
	example10color.eps example11.eps example12.eps example13.eps logo.eps

pdf:	FEM.pdf example1.pdf example2.pdf example3.pdf example4.pdf \
	example5.pdf example6.pdf example6color.pdf example6histogram.pdf \
	example7.pdf example8.pdf example9.pdf example10.pdf \
	example10color.pdf example11.pdf example12.pdf example13.pdf logo.pdf

png:	FEM.png example1.png example2.png example3.png example4.png \
	example5.png example6.png example6color.png example6histogram.png \
	example7.png example8.png example9.png example10.png \
	example10color.png example11.png example12.png example13.png \
	FEM-tiny.png example1-tiny.png example2-tiny.png example3-tiny.png \
	example4-tiny.png example5-tiny.png example6-tiny.png \
	example6color-tiny.png example6histogram-tiny.png example7-tiny.png \
	example8-tiny.png example9-tiny.png example10-tiny.png \
	example10color-tiny.png example11-tiny.png example12-tiny.png \
	example13-tiny.png logo.png

ps:	FEM.ps example1.ps example2.ps example3.ps example4.ps \
	example5.ps example6.ps example6color.ps example6histogram.ps \
	example7.ps example8.ps example9.ps example10.ps \
	example10color.ps example11.ps example12.ps example13.ps logo.ps

testps:
	$(GRITEST) FEM.gri
	$(GRITEST) example1.gri
	$(GRITEST) example2.gri
	$(GRITEST) example3.gri
	$(GRITEST) example4.gri
	$(GRITEST) example5.gri
	$(GRITEST) example6.gri
	$(GRITEST) example6color.gri
	$(GRITEST) example6histogram.gri
	$(GRITEST) example7.gri
	$(GRITEST) example8.gri
	$(GRITEST) example9.gri
	$(GRITEST) example10.gri
	$(GRITEST) example10color.gri
	$(GRITEST) example11.gri
	$(GRITEST) example12.gri
	$(GRITEST) example13.gri

clean:
	rm -rf *.eps *.png *.html *.pdf *~

=== doc/screenshots/Makefile ===
all:
	make eps
	make png

png:	gri-screenshot-1-tiny.png gri-screenshot-2-tiny.png \
	gri-screenshot-3-tiny.png gri-screenshot-4-tiny.png

eps:	gri-screenshot-1.eps gri-screenshot-2.eps gri-screenshot-3.eps \
	gri-screenshot-4.eps

pdf:	gri-screenshot-1.pdf gri-screenshot-2.pdf gri-screenshot-3.pdf \
	gri-screenshot-4.pdf


%.pgm : %.png
	-convert  -geometry 500x999 $< $@

%.eps : %.pgm
	-convert $< $@

%.pdf : %.eps
	ps2pdf $< $@

# This was good for color; 
# now let's put them in grayscale for the PostScript manual
#%.eps : %.png
#	-convert  -geometry 500x999 $< eps2:$@

%-tiny.png : %.png
	-convert -geometry 999x120 $< $@

clean:
	rm -f *-tiny.png *.eps *.pgm *.pdf *~

=== doc/tst_suite/Makefile ===
TO_TEXI=perl ../gri2texi
texi:
	@$(TO_TEXI) tst_IO
	@$(TO_TEXI) tst_control
	@$(TO_TEXI) tst_rpn
	@$(TO_TEXI) tst_var_syn

TO_HTML=perl ../gri2html
html:
	@$(TO_HTML) tst_IO
	@$(TO_HTML) tst_control
	@$(TO_HTML) tst_rpn
	@$(TO_HTML) tst_var_syn


#tarfile:
#	rm -rf gre_tst_suite
#	mkdir gre_tst_suite
#	cp Makefile *.gre *.dat gre_tst_suite
#	tar -cof gre_tst_suite.tar gre_tst_suite
#	gzip gre_tst_suite.tar
#	mv gre_tst_suite.tar.gz gre_tst_suite.tgz
#	rm -rf gre_tst_suite

help:
	@echo "Things you can do here:"
	@grep '^[^ ]*:' Makefile		\
	 | sed -e "s/^/  make /" -e "s/://"	\
	 | gawk '{print " ", $$1, $$2}'

clean:
	rm -f	*.html *.ps *.texi

## gri 2.12.21

=== debian/changelog ===
gri (2.12.21-1build1) maverick; urgency=low

  * Rebuild for libnetcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Sep 2010 10:48:07 +0000

gri (2.12.21-1) unstable; urgency=low

  * New upstream release        
  Bug Fixes:
  - Fix github bug http://github.com/dankelley/gri/issues#issue/1
    (`convert grid to image directly' misplaced image ``patches'' by one
     patch width and one patch height.)

 -- Peter S Galbraith <psg@debian.org>  Mon, 07 Jun 2010 09:47:21 -0400

gri (2.12.20-1) unstable; urgency=low

  * gri-pdf-doc: New binary package replaces "gri-ps-doc" package.
  * Switch to Debian source package format 3.0 (quilt)
  * New upstream release        
  - add `starting' option to `set x axis' and `set y axis'.
  - add `directly' option to `convert grid to image'.
  - gri-mode.el font-locking was broken since Emacs-22
  Bug Fixes:
  - Fix SourceForge bug #2913919 (SVG: all symbols are ".")
  - Fix SourceForge bug #2913893 (svg segfault on draw label)
  - Fix SourceForge bug #2913841 (svg draw box filled not filled)
  - Fix SourceForge bug #2913840 (svg images are upside-down)
  - Fix SourceForge bug #2913838 (image postscript clip problem)
  * Various lintian fixes in debian/control
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 01 Apr 2010 10:14:27 -0400

gri (2.12.19-3) unstable; urgency=low

  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553777).

 -- Peter S Galbraith <psg@debian.org>  Mon, 02 Nov 2009 17:13:32 -0500

gri (2.12.19-2) unstable; urgency=low

  * Bug fix: "FTBFS: Nonexistent build-dependency: netcdfg-dev", thanks to
    Lucas Nussbaum (Closes: #549756).  Switched to libnetcdf-dev.  Also
    switch gs to ghostscript.

 -- Peter S Galbraith <psg@debian.org>  Mon, 05 Oct 2009 21:31:45 -0400

gri (2.12.19-1) unstable; urgency=low

  * New upstream release	
  Bug Fixes:
  - Fix SourceForge bug #2977816 (Fedora packaging requires more precise
    license declarations.
  - Fix SourceForge bug #3266884 (error in docs for strlen).

 -- Peter S Galbraith <psg@debian.org>  Fri, 17 Jul 2009 15:08:08 -0400

gri (2.12.18-1) unstable; urgency=low
	
  * New upstream release	
  Bug Fixes:
  - Improve security when creating temporary files.
  - Fix SourceForge bug #1985862 (output had axis linewidth equal to curve
    line width).

 -- Peter S Galbraith <psg@debian.org>  Mon, 08 Sep 2008 20:46:30 -0400
	

gri (2.12.17-1) unstable; urgency=low

  * New upstream release
  New Features
   Add GNU readline support so that interactive mode will have history,
   command editing, etc.
  Bug Fixes:
  - Fix SourceForge bug #1913577 (superscripts did not end correctly, if
    preceeded by an inline { block).
  - Fix SourceForge bug #1761562 (y axis name printed upside down, for log
    axes in which user specified a high values at the bottom end of the
    axis)
  * gri-mode.el: minor fix for emacs-22 and license update to GPL V2 or later.
  * control: Added libreadline5-dev to Build-Depends.

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 May 2008 20:48:14 -0400

gri (2.12.16-3) unstable; urgency=low

  * Bug fix: "gri-el: bashism ("&>") in emacsen install script", thanks to
    Aaron M. Ucko (Closes: #467639). Modernize gri-el byte-compilation.
  * Bug fix: "gri-el: Relies on gv, but does not recommend it", thanks to
    Javier Kohen (Closes: #470504).

 -- Peter S Galbraith <psg@debian.org>  Thu, 27 Mar 2008 21:02:21 -0400

gri (2.12.16-2) unstable; urgency=low

  * gri-el: Prefer emacs22 instead of emacs21.
  * Bug fix: "gri: Uninstallable, can't be binNMU'ed.", thanks to
    Kurt Roeckx (Closes: #466434).  Rebuild for libnetcdf4.
  * Bug fix: "Confused by filenames with newlines", thanks to Trent
    W\. Buck (Closes: #446173).  Use "\\.gri\\'" instead of "\\.gri$" in
    auto-mode-alist.

 -- Peter S Galbraith <psg@debian.org>  Mon, 25 Feb 2008 20:24:45 -0500

gri (2.12.16-1) unstable; urgency=low

  * Bug fix: "gri: landscape produces interdependent pages", thanks to
    Bernhard R. Link for outlining the fix (Closes: #130802).
  * Bug fix: "gri: 'set page landscape' requires 'set page size' first,
    but it should really default to something reasonable instead
    (Closes: #434010).

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jul 2007 18:52:34 -0400

gri (2.12.15-5) unstable; urgency=low

  * Bug fix: "gri: FTBFS if built twice in a row", thanks to Bernd Zeimetz
    (Closes: #424371).

 -- Peter S Galbraith <psg@debian.org>  Wed, 16 May 2007 20:35:23 -0400

gri (2.12.15-4) unstable; urgency=low

  * Added texlive-latex-base to build dependencies for missing lcircle10
    font.

 -- Peter S Galbraith <psg@debian.org>  Thu, 19 Apr 2007 20:03:20 -0400

gri (2.12.15-3) unstable; urgency=low

  * Build-depend (as well as Build-Depends-Indep) on
    texlive-generic-recommended instead of tetex-bin.  Thanks to Kurt
    Roeckx (Closes: #419602).

 -- Peter S Galbraith <psg@debian.org>  Wed, 18 Apr 2007 22:06:17 -0400

gri (2.12.15-2) unstable; urgency=low

  * Build-depend on texlive-generic-recommended instead of tetex-bin.
    Thanks to Kurt Roeckx (Closes: #419602).

 -- Peter S Galbraith <psg@debian.org>  Mon, 16 Apr 2007 21:13:05 -0400

gri (2.12.15-1) unstable; urgency=low

  * New upstream release
  Bug Fixes:
  - Fix SourceForge bug #1700978 (html concept index mostly broken)
  - Fix SourceForge bug #1698924 (box plots show missing data)
  - Fix Debian bug #417217 (will not compile in GCC 4.3) (Closes: #417217)
  - Fix SourceForge bug #1698116 (poorly-positioned name of RHS y-axis)

 -- Peter S Galbraith <psg@debian.org>  Sat, 14 Apr 2007 22:04:29 -0400

gri (2.12.14-1) unstable; urgency=low

   * New upstream release
     Bug Fixes:
     - Fix SourceForge bug #1630768 (Fix to segfault in clipped images (a
       bug that may have developed after version 2.13.3))

 -- Peter S Galbraith <psg@debian.org>  Fri, 19 Jan 2007 23:11:54 -0500

gri (2.12.13-1) unstable; urgency=low



## gri 2.12.23

=== debian/changelog ===
gri (2.12.23-7) unstable; urgency=medium

  * Bug fix: "FTBFS: Can't locate getopts.pl in @INC", thanks to
    Andreas Moog (Closes: #735914). Fixed doc/texinfo2HTML here and upstream.

 -- Peter S Galbraith <psg@debian.org>  Wed, 29 Jan 2014 21:15:30 -0500

gri (2.12.23-6) unstable; urgency=low

  * Merge in updated config.guess and config.sub for arm64 on Ubuntu.
  * doc/examples/Makefile.am bug fix: "example png files black on
    transparent", thanks to Kevin Ryde.  Added "-background white" to
    convert call (Closes: #719160).

 -- Peter S Galbraith <psg@debian.org>  Wed, 16 Oct 2013 10:34:27 -0400

gri (2.12.23-5) unstable; urgency=low

  * src/utility.cc: Merge in upstream fix for hurd PATH_MAX

 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Oct 2013 10:06:03 -0400

gri (2.12.23-4) unstable; urgency=low

  * Bug fix: "FTBFS: Failed building docs", thanks to David SuÃ¡rez
    (Closes: #724193).
  * Bug fix: "extra .gri$ auto-mode-alist entry", thanks to Kevin Ryde
    (Closes: #680701).
  * Undo bug #659422 Depends on libperl4-corelibs-perl and update scripts
    gri_unpage and gri_merge instead.

 -- Peter S Galbraith <psg@debian.org>  Mon, 14 Oct 2013 17:35:26 -0400

gri (2.12.23-3) unstable; urgency=low

  * These are the same bug; fixed upstream in git.
  * Bug fix: "FTBFS: manuals build fails against textinfo5 because some
    incompatibles changes wrt 4.13 and below (some warnings have turned
    into errors)", thanks to David SuÃ¡rez (Closes: #712326).
  * Bug fix: "build from source fails on makeinfo 5.1", thanks to Kevin
    Ryde (Closes: #718821).

 -- Peter S Galbraith <psg@debian.org>  Tue, 06 Aug 2013 20:31:42 -0400

gri (2.12.23-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing Breaks+Replaces
    Closes: #694275

 -- Andreas Tille <tille@debian.org>  Thu, 06 Dec 2012 13:42:17 +0100

gri (2.12.23-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add Depends on libperl4-corelibs-perl (Closes: #659422)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 23 Apr 2012 18:53:37 +0100

gri (2.12.23-2) unstable; urgency=low

  * Move refcard.ps to gri-pdf-doc package.

 -- Peter S Galbraith <psg@debian.org>  Wed, 13 Jul 2011 21:01:53 -0400

gri (2.12.23-1) unstable; urgency=low

  * New upstream release        
  Bug fixes:
  - Fix SourceForge bug
    https://sourceforge.net/projects/gri/forums/forum/16975/topic/4596628/index/page/1
    (pgm: images grayscale was wrong)

 -- Peter S Galbraith <psg@debian.org>  Tue, 12 Jul 2011 14:46:23 -0400

gri (2.12.22-1) unstable; urgency=low

  * New upstream release        
  Bug Fixes:
  - Fix github bug http://github.com/dankelley/gri/issues#issue/5
    (`draw image' failed on some black/white images).

 -- Peter S Galbraith <psg@debian.org>  Tue, 23 Nov 2010 19:11:02 -0500

=== debian/control ===
Source: gri
Section: science
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper (>= 7), libnetcdf-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, texinfo, imagemagick, info, ghostscript, gsfonts
Homepage: http://gri.sourceforge.net/
Standards-Version: 3.8.4

Package: gri
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info, perl 
Suggests: gri-html-doc, gri-pdf-doc, gri-el, gv
Description: a language for scientific illustration
 Gri is an open-source language for scientific graphics programming. It is
 command-driven, as opposed to point/click. Some users consider Gri similar
 to LaTeX, since both provide extensive power as a reward for tolerating a
 learning curve. The output is industry-standard PostScript as output,
 suitable for inclusion in other documents.
 .
 Gri can make x-y graphs, contour graphs, and image graphs. Fine control is
 provided over all aspects of drawing, e.g. line widths, colors, fonts,
 etc. Greek letters and mathematical symbols are available in a TeX-like
 syntax.
 .
 Folks who write 1000-line Gri scripts usually start with something as
 simple as the following:
 .
   open file.dat        # open a file
   read columns x * y   # read the 1st column as x and the 3rd as y
   draw curve           # draw the data and autoscale the axes
 .
 A full manual is also available in HTML (gri-html-doc package), in
 PDF suitable for printing (gri-pdf-doc package) and on-line by
 following links from the gri home page:
   http://gri.sourceforge.net/

Package: gri-el
Section: lisp
Architecture: all
Depends: gri (>= 2.12.1-2), emacs23 | emacsen, ${misc:Depends}
Recommends: gv
Conflicts: gri (<= 2.12.1-1)
Description: Emacs major-mode for gri, a language for scientific graphics
 Gri is an open-source language for scientific graphics programming.
 .
 This is the Emacs major-mode for gri.

Package: gri-html-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: doc-base
Description: HTML manual for gri, a language for scientific graphics
 Gri is a command-driven application for making x-y graphs, 
 contour-graphs, and image graphs.
 .
 This is the Gri manual in HTML format and can be accessed directly via
   file:/usr/share/doc/gri/html/index.html
 or
   http://localhost/doc/gri/html/
 or via doc-central, dwww or dhelp interfaces (if you have the doc-base
 package installed). Note that the manual in info format (without graphics)
 is included in the gri package itself.  This manual is available on
 the web via:
   http://gri.sourceforge.net/gridoc/html/

Package: gri-pdf-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gri (<< 2.12.23-2)
Replaces: gri (<< 2.12.23-2), gri-ps-doc
Description: PostScript manual for gri, a language for scientific graphics
 Gri is a command-driven application for making x-y graphs, contour-graphs,
 and image graphs.
 .
 This is the Gri manual in PDF format suitable for printing or viewing
 on-screen.  The compressed file is located at /usr/share/doc/gri/gri.pdf.gz

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
#version := $(shell grep ^VERSION Makefile | cut -d" " -f3)
version := $(shell perl -ne 'if (/AC_INIT\(gri, ([0-9.]+)\)/){print $$1}' configure.ac)
somefutureversion=2.14.0

CXXFLAGS = -O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CXXFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIPIT=1
endif

ARCH := $(shell dpkg --print-architecture | perl -pe chop)

build: build-indep build-arch

# Build architecture-dependent files here (no need to be root).
build-arch: debian/copyright gri
	cd doc; make info

gri:    Makefile
	dh_testdir
ifeq ($(ARCH),m68k)
	cd src; make CXXFLAGS="-O0 -Wall" rpncalc.o
endif
	cd src; make CXXFLAGS=${CXXFLAGS}

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	mv doc/FAQ.html doc/FAQ.html.KEEP
	-rm -f config.log config.status debian/Makefile doc/*.html
	-rm -f doc/gri.info* doc/*.dvi doc/*.ps doc/*.pdf doc/*.log doc/html
	-rm src/gri.cmd src/startup.msg-tmp
	mv doc/FAQ.html.KEEP doc/FAQ.html

	dh_clean
	rm -fR debian/gri-$(version)static
	rm -f  debian/README.Debian debian/gri.1 debian/copyright
	rm -f doc/gri_unpage.1 doc/gri_merge.1
	chmod u+w debian/changelog

install: gri
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd src; make install_linux_debian debian=`pwd`/../debian/gri

debian/copyright:
	sed -e 's/VSN/$(version)/g' \
		debian/copyright.template > debian/copyright
	sed -e 's/LATERVSN/$(somefutureversion)/g;s/VSN/$(version)/g' \
		debian/gri.man > debian/gri.1
	sed -e 's/LATERVSN/$(somefutureversion)/g;s/VSN/$(version)/g' \
		debian/README.Debian.template > debian/README.Debian
	cp doc/gri_unpage.1-skel doc/gri_unpage.1
	cp doc/gri_merge.1-skel doc/gri_merge.1

Makefile:
# To test on g++-3.0 :
#	CC=gcc-3.0 CXX=g++-3.0 ./configure --prefix=/usr
	./configure --prefix=/usr --enable-linux_debian

# Build architecture-independent files here (no need to be root).
build-indep: debian/copyright Makefile
	cd doc; make refcard.ps cmdrefcard.ps gri.pdf html

# Install (as root) architecture-independent files here.
binary-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	install -d debian/gri-el/usr/share/emacs/site-lisp/gri-el
	install -m 644 src/gri-mode.el debian/gri-el/usr/share/emacs/site-lisp/gri-el
	install -d debian/gri-pdf-doc/usr/share/doc/gri
	install -m 644 doc/gri.pdf debian/gri-pdf-doc/usr/share/doc/gri
	install -m 644 doc/refcard.ps debian/gri-pdf-doc/usr/share/doc/gri
	install -m 644 doc/cmdrefcard.ps debian/gri-pdf-doc/usr/share/doc/gri
	cd doc; make html-install DESTDIR=`pwd`/../debian/gri-html-doc/
	rm -f debian/*debhelper
	dh_installdocs -i -A README debian/README.Debian
	dh_installexamples -i
	dh_installemacsen -i
	dh_installchangelogs -i 
	dh_compress -i -X.jpg -Xlogo.gri
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Install (as root) architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir -a
	dh_testroot -a
	(cd debian/gri/usr/share/gri/$(version) ; ln -fs ../../common-licenses/GPL license.txt)
	rm -f debian/*debhelper
	dh_installdocs -a README
	dh_installexamples -a
	dh_installemacsen -a
	dh_installinfo doc/gri.info*
	dh_installman debian/gri.1 doc/gri_unpage.1 doc/gri_merge.1
	(cd debian/gri/usr/share/man/man1 ; ln -fs gri.1.gz gri-$(version).1.gz)
	dh_installchangelogs -a 
        ifdef STRIPIT
		dh_strip -a
        endif
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# This is a target that developers won't use.  I use it to create
# non-Debian Gri packages that contain a specific version of Gri for use
# alongside other (newer) versions of Gri.  
# See README.Debian.unofficial
binary-arch-unofficial:    debian/copyright build-arch
	rm -f debian/*debhelper
	rm -rf debian/gri-$(version) debian/gri-$(version)static
	-cp debian/control debian/control.real 
	sed -e 's/VSN/$(version)/g' debian/control.unofficial > debian/control 
	-cp debian/README.Debian debian/README.Debian.real 
	-cp debian/README.Debian.unofficial debian/README.Debian
	cd src; make install_linux_debian_grionly debian=../debian/gri-$(version)
	(cd debian/gri-$(version)/usr/share/gri/$(version) ; ln -s ../../common-licenses/GPL license.txt)
	cd src;  mv gri gri.real
	-rm debian/substvars
	make LIBS="-lm  -L/usr/lib/netcdf -lnetcdf -static"
	cd src; make install_linux_debian_grionly debian=../debian/gri-$(version)static
	(cd debian/gri-$(version)static/usr/share/gri/$(version) ; ln -s ../../common-licenses/GPL license.txt)
	cd src; mv gri.real gri
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -A README debian/README.Debian
	install -d debian/gri-$(version)/usr/share/man/man1
	install debian/gri.1 debian/gri-$(version)/usr/share/man/man1/gri-$(version).1
	install -d debian/gri-$(version)static/usr/share/man/man1
	install debian/gri.1 debian/gri-$(version)static/usr/share/man/man1/gri-$(version).1
#	dh_installmanpages -a doc/gri*.1 debian/gri.1
#	-rm debian/gri-$(version).1
	dh_installchangelogs -a 
        ifdef STRIPIT
		dh_strip -a
        endif
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a
	-mv debian/control.real debian/control          
	-mv debian/README.Debian.real debian/README.Debian

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## gri 2.12.26

=== debian/changelog ===
gri (2.12.26-1build1) bionic; urgency=medium

  * Rebuild against new libnetcdf13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 10:06:39 +0200

gri (2.12.26-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "ftbfs with GCC-7", thanks to Matthias Klose
    (Closes: #853434).

 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Aug 2017 11:20:56 -0400

gri (2.12.23-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.26 -- Unescaped left brace in regex is
    illegal": add patch perl-5.26.patch from Damyan Ivanov which adds the
    missing backslashes.
    (Closes: #865482)

 -- gregor herrmann <gregoa@debian.org>  Wed, 12 Jul 2017 21:50:06 +0200

gri (2.12.23-10) unstable; urgency=medium

  * Bug fix: "missing debian/copyright", thanks to Thorsten Alteholz
    (Closes: #795095).  The previous code copied debian/copyright.template
    to the binary package copyright file while substituting the correct
    version number.  Users will have to live without an exact version
    number.
  * Bug fix: "FTBFS: awk: cannot open gri.ky", thanks to Martin Michlmayr
    (Closes: #818449). Patch applied, thanks!
  * Standards-Version: 3.9.8
  * debian/compat: 9

 -- Peter S Galbraith <psg@debian.org>  Sat, 08 Oct 2016 16:37:57 -0400

gri (2.12.23-9) unstable; urgency=medium

  * Bug fix: "Fatal error occurred, no output PDF file produced", thanks
    to Martin Michlmayr (Closes: #790526).
  * Bug fix: "man page description of postscript output file", thanks to
    Kevin Ryde (Closes: #719033).

 -- Peter S Galbraith <psg@debian.org>  Sun, 26 Jul 2015 11:13:19 -0400

gri (2.12.23-8) unstable; urgency=medium

  * Bug fix: "please switch to emacs24", thanks to Gabriele Giacone
    (Closes: #754015).
  * Added debian/gri-el.emacsen-compat

 -- Peter S Galbraith <psg@debian.org>  Mon, 07 Jul 2014 22:06:18 -0400

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 build: build-indep build-arch
 
 # Build architecture-dependent files here (no need to be root).
-build-arch: debian/copyright gri
+build-arch: debian/gri_merge.1 gri
 	cd doc; make info
 
 gri:    Makefile
@@ -41,12 +41,15 @@
 	mv doc/FAQ.html doc/FAQ.html.KEEP
 	-rm -f config.log config.status debian/Makefile doc/*.html
 	-rm -f doc/gri.info* doc/*.dvi doc/*.ps doc/*.pdf doc/*.log doc/html
+	-rm -f doc/screenshots/*.pdf doc/examples/*.pdf
 	-rm src/gri.cmd src/startup.msg-tmp
 	mv doc/FAQ.html.KEEP doc/FAQ.html
+	-mv texinfo.tex.KEEP texinfo.tex
+	-mv doc/texinfo.tex.KEEP doc/texinfo.tex
 
 	dh_clean
 	rm -fR debian/gri-$(version)static
-	rm -f  debian/README.Debian debian/gri.1 debian/copyright
+	rm -f  debian/README.Debian debian/gri.1
 	rm -f doc/gri_unpage.1 doc/gri_merge.1
 	chmod u+w debian/changelog
 
@@ -57,15 +60,18 @@
 	dh_installdirs
 	cd src; make install_linux_debian debian=`pwd`/../debian/gri
 
-debian/copyright:
-	sed -e 's/VSN/$(version)/g' \
-		debian/copyright.template > debian/copyright
+debian/gri_merge.1:
+	#sed -e 's/VSN/$(version)/g' \
+	#	debian/copyright.template > debian/copyright
 	sed -e 's/LATERVSN/$(somefutureversion)/g;s/VSN/$(version)/g' \
 		debian/gri.man > debian/gri.1
 	sed -e 's/LATERVSN/$(somefutureversion)/g;s/VSN/$(version)/g' \
 		debian/README.Debian.template > debian/README.Debian
 	cp doc/gri_unpage.1-skel doc/gri_unpage.1
 	cp doc/gri_merge.1-skel doc/gri_merge.1
+	# Temporary fix for 2.12.23-9 (Fixed upstream for 2.12.24)
+	-mv texinfo.tex texinfo.tex.KEEP
+	-mv doc/texinfo.tex doc/texinfo.tex.KEEP
 
 Makefile:
 # To test on g++-3.0 :
@@ -73,7 +79,7 @@
 	./configure --prefix=/usr --enable-linux_debian
 
 # Build architecture-independent files here (no need to be root).
-build-indep: debian/copyright Makefile
+build-indep: debian/gri_merge.1 Makefile
 	cd doc; make refcard.ps cmdrefcard.ps gri.pdf html
 
 # Install (as root) architecture-independent files here.
@@ -123,48 +129,6 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-# This is a target that developers won't use.  I use it to create
-# non-Debian Gri packages that contain a specific version of Gri for use
-# alongside other (newer) versions of Gri.  
-# See README.Debian.unofficial
-binary-arch-unofficial:    debian/copyright build-arch
-	rm -f debian/*debhelper
-	rm -rf debian/gri-$(version) debian/gri-$(version)static
-	-cp debian/control debian/control.real 
-	sed -e 's/VSN/$(version)/g' debian/control.unofficial > debian/control 
-	-cp debian/README.Debian debian/README.Debian.real 
-	-cp debian/README.Debian.unofficial debian/README.Debian
-	cd src; make install_linux_debian_grionly debian=../debian/gri-$(version)
-	(cd debian/gri-$(version)/usr/share/gri/$(version) ; ln -s ../../common-licenses/GPL license.txt)
-	cd src;  mv gri gri.real
-	-rm debian/substvars
-	make LIBS="-lm  -L/usr/lib/netcdf -lnetcdf -static"
-	cd src; make install_linux_debian_grionly debian=../debian/gri-$(version)static
-	(cd debian/gri-$(version)static/usr/share/gri/$(version) ; ln -s ../../common-licenses/GPL license.txt)
-	cd src; mv gri.real gri
-	dh_testdir -a
-	dh_testroot -a
-	dh_installdocs -a -A README debian/README.Debian
-	install -d debian/gri-$(version)/usr/share/man/man1
-	install debian/gri.1 debian/gri-$(version)/usr/share/man/man1/gri-$(version).1
-	install -d debian/gri-$(version)static/usr/share/man/man1
-	install debian/gri.1 debian/gri-$(version)static/usr/share/man/man1/gri-$(version).1
-#	dh_installmanpages -a doc/gri*.1 debian/gri.1
-#	-rm debian/gri-$(version).1
-	dh_installchangelogs -a 
-        ifdef STRIPIT
-		dh_strip -a
-        endif
-	dh_compress -a
-	dh_fixperms -a
-	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-	-mv debian/control.real debian/control          
-	-mv debian/README.Debian.real debian/README.Debian
-
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

## gri 2.12.27

=== debian/changelog ===
gri (2.12.27-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:41 +1100

gri (2.12.27-1.1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:55:20 +0100

gri (2.12.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use ps2pdf instead of convert for converting from ps to pdf.
    (Closes: #991057)

 -- Adrian Bunk <bunk@debian.org>  Thu, 25 Aug 2022 19:33:47 +0300

gri (2.12.27-1) unstable; urgency=medium

  * New upstream release.
  - New halfmoon symbols.
  - New version of gri-mode.el:
    - default-fill-column no longer exists in emacs-26
    - Bug fix: "package remove allow for flavour directory already gone",
      thanks to Kevin Ryde (Closes: #711914).
    - Bug fix: "C-u as universal-argument", thanks to Kevin Ryde for the
      report and the patch (Closes: #718452).
    - Bug fix: "paragraph separators for commands", thanks to Kevin Ryde
      for the report and the patch (Closes: #718540).
  - debian/patches deleted as incorporated upstream.

 -- Peter S Galbraith <psg@debian.org>  Thu, 25 Jun 2020 20:41:17 -0400

gri (2.12.26-6) unstable; urgency=medium

  * Apologies for having being MIA.
  * Bug fix: gri build-depends on cruft package, thanks to peter green for
    reporting and to Steve Langasek for the patch (Closes: #932949)
  * Bug fix: Encoding must now be specified in texinfo source, thanks to
    Steve Langasek for reporting and to Sebastiaan Couwenberg for the
    patch (Closes: #941557)
  * Bug fix: FTCBFS: Let dh_auto_configure pass --host to ./configure,
    thanks to Helmut Grohne <helmut@subdivi.de> for reporting and for the
    patch (Closes: #901179)
  * Deleted debian/compat and replace debhelper (>= 7) with debhelper-compat
    (= 12) in Build-Depends.
  * debian/rules: added dh_autoreconf and dh_autoreconf_clean implemented
    at Standards-Versions 4.0.0
  * debian/control: Standards-Version: 4.5.0
  * debian/copyright: updated to GPL-3. Can't believe I had to wait a
    month in the NEW queue to get rejected for this. :-(

 -- Peter S Galbraith <psg@debian.org>  Fri, 19 Jun 2020 15:13:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gri
 Section: science
 Priority: optional
-Maintainer: Peter S Galbraith <psg@debian.org>
-Build-Depends: debhelper (>= 7), libnetcdf-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, texinfo, imagemagick, info, ghostscript, gsfonts
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter S Galbraith <psg@debian.org>
+Build-Depends: debhelper-compat (= 12), libnetcdf-dev, libreadline-dev, texlive-latex-base, texlive-plain-generic, texinfo, imagemagick, info, ghostscript, gsfonts
 Homepage: http://gri.sourceforge.net/
-Standards-Version: 3.8.4
+Standards-Version: 4.5.0
 
 Package: gri
 Section: science
@@ -38,7 +39,7 @@
 Package: gri-el
 Section: lisp
 Architecture: all
-Depends: gri (>= 2.12.1-2), emacs23 | emacsen, ${misc:Depends}
+Depends: gri (>= 2.12.1-2), emacs | emacsen, ${misc:Depends}
 Recommends: gv
 Conflicts: gri (<= 2.12.1-1)
 Description: Emacs major-mode for gri, a language for scientific graphics

=== debian/rules ===
--- 
+++ 
@@ -44,12 +44,8 @@
 	-rm -f doc/screenshots/*.pdf doc/examples/*.pdf
 	-rm src/gri.cmd src/startup.msg-tmp
 	mv doc/FAQ.html.KEEP doc/FAQ.html
-	-mv texinfo.tex.KEEP texinfo.tex
-	-mv doc/texinfo.tex.KEEP doc/texinfo.tex
-
+	dh_autoreconf_clean
 	dh_clean
-	rm -fR debian/gri-$(version)static
-	rm -f  debian/README.Debian debian/gri.1
 	rm -f doc/gri_unpage.1 doc/gri_merge.1
 	chmod u+w debian/changelog
 
@@ -61,22 +57,15 @@
 	cd src; make install_linux_debian debian=`pwd`/../debian/gri
 
 debian/gri_merge.1:
-	#sed -e 's/VSN/$(version)/g' \
-	#	debian/copyright.template > debian/copyright
-	sed -e 's/LATERVSN/$(somefutureversion)/g;s/VSN/$(version)/g' \
-		debian/gri.man > debian/gri.1
-	sed -e 's/LATERVSN/$(somefutureversion)/g;s/VSN/$(version)/g' \
-		debian/README.Debian.template > debian/README.Debian
 	cp doc/gri_unpage.1-skel doc/gri_unpage.1
 	cp doc/gri_merge.1-skel doc/gri_merge.1
-	# Temporary fix for 2.12.23-9 (Fixed upstream for 2.12.24)
-	-mv texinfo.tex texinfo.tex.KEEP
-	-mv doc/texinfo.tex doc/texinfo.tex.KEEP
 
 Makefile:
 # To test on g++-3.0 :
 #	CC=gcc-3.0 CXX=g++-3.0 ./configure --prefix=/usr
-	./configure --prefix=/usr --enable-linux_debian
+	#./configure --prefix=/usr --enable-linux_debian
+	dh_autoreconf
+	dh_auto_configure -- --enable-linux_debian
 
 # Build architecture-independent files here (no need to be root).
 build-indep: debian/gri_merge.1 Makefile
